> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Transcript

> Get the transcript for a session



## OpenAPI

````yaml /openapi.json get /v1/sessions/{session_id}/transcript
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/sessions/{session_id}/transcript:
    get:
      tags:
        - Sessions
      summary: Get Session Transcript
      description: Get the transcript for a session
      operationId: get_session_transcript_v1_sessions__session_id__transcript_get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: start_timestamp
          in: query
          required: false
          schema:
            title: Start Timestamp
            type: integer
        - name: end_timestamp
          in: query
          required: false
          schema:
            title: End Timestamp
            type: integer
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_SessionTranscriptResponseSchema_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    Response_SessionTranscriptResponseSchema_:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/SessionTranscriptResponseSchema'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[SessionTranscriptResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SessionTranscriptResponseSchema:
      properties:
        session_active:
          type: boolean
          title: Session Active
        next_timestamp:
          title: Next Timestamp
          type: integer
        transcript_data:
          items:
            $ref: '#/components/schemas/SessionTranscriptDataSchema'
          type: array
          title: Transcript Data
      type: object
      required:
        - session_active
        - transcript_data
      title: SessionTranscriptResponseSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SessionTranscriptDataSchema:
      properties:
        role:
          type: string
          enum:
            - user
            - avatar
          title: Role
        transcript:
          type: string
          title: Transcript
        absolute_timestamp:
          type: integer
          title: Absolute Timestamp
        relative_timestamp:
          type: integer
          title: Relative Timestamp
      type: object
      required:
        - role
        - transcript
        - absolute_timestamp
        - relative_timestamp
      title: SessionTranscriptDataSchema
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````